net.i2p.util

## Class KeyRing

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.concurrent.ConcurrentHashMap<Hash,SessionKey>
    - - net.i2p.util.KeyRing

- All Implemented Interfaces:
    Serializable, ConcurrentMap<Hash,SessionKey>, Map<Hash,SessionKey>
  Direct Known Subclasses:
    PersistentKeyRing

      public class KeyRing
      extends ConcurrentHashMap<Hash,SessionKey>

  simple
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyRing()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `renderStatusHTML(Writer out)`

    - ### Methods inherited from class java.util.concurrent.ConcurrentHashMap

      `clear, contains, containsKey, containsValue, elements, entrySet, get, isEmpty, keys, keySet, put, putAll, putIfAbsent, remove, remove, replace, replace, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `clone, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### KeyRing

          public KeyRing()

  - ### Method Detail

    - #### renderStatusHTML

          public void renderStatusHTML(Writer out)
                                throws IOException

      Throws:
        `IOException`